var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var add_exports = {};
__export(add_exports, {
  add: () => add
});
module.exports = __toCommonJS(add_exports);
var import_database = require("@nocobase/database");
var import_utils = require("../utils");
async function add(ctx, next) {
  const repository = (0, import_utils.getRepositoryFromParams)(ctx);
  if (!(repository instanceof import_database.MultipleRelationRepository || repository instanceof import_database.HasManyRepository || repository instanceof import_database.ArrayFieldRepository)) {
    return await next();
  }
  const filterByTk = ctx.action.params.filterByTk || ctx.action.params.filterByTks || ctx.action.params.values;
  await repository.add(filterByTk);
  ctx.status = 200;
  await next();
}
__name(add, "add");
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  add
});
