var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __reExport = (target, mod, secondTarget) => (__copyProps(target, mod, "default"), secondTarget && __copyProps(secondTarget, mod, "default"));
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  // If the importer is in node compatibility mode or this is not an ESM
  // file that has been converted to a CommonJS file using a Babel-
  // compatible transform (i.e. "__esModule" has not been set), then set
  // "default" to the CommonJS "module.exports" for node compatibility.
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var src_exports = {};
__export(src_exports, {
  default: () => src_default,
  registerActions: () => registerActions,
  utils: () => utils
});
module.exports = __toCommonJS(src_exports);
var import_lodash = __toESM(require("lodash"));
var actions = __toESM(require("./actions"));
var utils = __toESM(require("./utils"));
__reExport(src_exports, require("./constants"), module.exports);
function registerActions(api) {
  api.actions(
    import_lodash.default.pick(actions, [
      "add",
      "create",
      "destroy",
      "get",
      "list",
      "remove",
      "set",
      "toggle",
      "update",
      "move",
      "firstOrCreate",
      "updateOrCreate"
    ])
  );
}
__name(registerActions, "registerActions");
var src_default = actions;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  registerActions,
  utils,
  ...require("./constants")
});
